---
updatedAt: 2025-05-27T23:49:50.000Z
agentTools:
  projectIndex: https://developer.corrigo.com/llms.txt
---

# HTTP Headers

Standard headers for all endpoints

## CompanyName

**This header is required on all operations for all APIs.**

The **CompanyName** HTTP header is shared across all endpoints in this API, and is a central organizing concept of Corrigo Enterprise integration.  Each Enterprise instance is defined as a Company and **CompanyName** is the friendly name recognized by end-users and APIs alike.

```http Company Name header
GET https://am-ce98c.corrigo.com/api/v1/base/WorkOrder?ID=2&properties= HTTP/1.1
CompanyName: My Sandbox
```

By passing **CompanyName** in the HTTP header, the API is able to route the message to the appropriate instance. CompanyName is part of the credentials generated in the [Authorization](https://developer.corrigo.com/reference/authentication) section, which means any changes to this value must be accompanied by newly generated credentials.

> 👍 How to access a Sandbox Company
>
> **Direct licensees** of Corrigo Enterprise have one or more non-Live Companies referred to as Stage or Preview instances. Any non-Live Company can be used as a Sandbox, once configured by the Corrigo System Administrator. The System Administrator can provide API credentials to any authorized internal or external development teams.
>
> For **Technology Partners** seeking to develop reusable solutions, a temporary Sandbox can be provided pursuant to enrollment in the **JLLT Integration Marketplace**, which is planned for launch in April 2022.

## IgnoreMissingEntityOnDelete

**This header applies only to DELETE operations.**

During normal operation, if the request scope includes a missing entity, an exception will be generated. However, when this header is set to true, no exception will be thrown in case, when a request is trying to remove missing entity.

```http IgnoreMissingEntityOnDelete example
DELETE https://am-ce98c.corrigo.com/api/v1/base/Contact?ID=20378 HTTP/1.1
CompanyName: My Sandbox
IgnoreMissingEntityOnDelete: true
```

## DataRetrievalIsolationLevel

**This header applies only to Query API.**

Supported values are:\
Default = 0 – same as ReadCommitted\
ReadUncommitted – when specified, use isolation level READ UNCOMMITTED\
ReadCommitted – when specified, use isolation level READ COMMITTED\
Snapshot – when specified, use isolation level SNAPSHOT

```http DataRetrievalIsolationLevel example
POST https://am-ce98c.corrigo.com/api/v1/query/Contact HTTP/1.1
CompanyName: My Sandbox
DataRetrievalIsolationLevel: Default
Accept-Encoding: gzip,deflate
Content-Type: application/json
Authorization: Bearer eyJBdXRoZW50aWNhdGlvblR5cGUiOiJCZWFyZXIiLCJOYW1lQ2xhaW1UeXBlIjoiaHR0cDovL3NjaGVtYXMueG1sc29hcC5vcmcvd3MvMjAwNS8wNS9pZGVudGl0eS9jbGFpbXMvbmFtZSIsIlJvbGVDbGFpbVR5cGUiOiJodHRwOi8vc2NoZW1hcy54bWxzb2FwLm9yZy93cy8yMDA1LzA1L2lkZW50aXR5L2NsYWltcy9uYW1lIiwiQ2xhaW1zIjpbeyJUeXBlIjoiaHR0cDovL3NjaGVtYXMueG1sc29hcC5vcmcvd3MvMjAwNS8wNS9pZGVudGl0eS9jbGFpbXMvbmFtZSIsIlZhbHVlIjoiY2VhcGljbGllbnQuMS4xODY4LjY5ZjgiLCJWYWx1ZVR5cGUiOiJodHRwOi8vd3d3LnczLm9yZy8yMDAxL1hNTFNjaGVtYSNzdHJpbmciLCJJc3N1ZXIiOiJMT0NBTCBBVVRIT1JJVFkiLCJPcmlnaW5hbElzc3VlciI6IkxPQ0FMIEFVVEhPUklUWSJ9LHsiVHlwZSI6InVybjpvYXV0aDpzY29wZSIsIlZhbHVlIjoiIiwiVmFsdWVUeXBlIjoiaHR0cDovL3d3dy53My5vcmcvMjAwMS9YTUxTY2hlbWEjc3RyaW5nIiwiSXNzdWVyIjoiTE9DQUwgQVVUSE9SSVRZIiwiT3JpZ2luYWxJc3N1ZXIiOiJMT0NBTCBBVVRIT1JJVFkifSx7IlR5cGUiOiJBdWQiLCJWYWx1ZSI6IjE4NjgiLCJWYWx1ZVR5cGUiOiJodHRwOi8vd3d3LnczLm9yZy8yMDAxL1hNTFNjaGVtYSNzdHJpbmciLCJJc3N1ZXIiOiJMT0NBTCBBVVRIT1JJVFkiLCJPcmlnaW5hbElzc3VlciI6IkxPQ0FMIEFVVEhPUklUWSJ9XSwiUHJvcGVydGllcyI6eyJEaWN0aW9uYXJ5Ijp7Ii5pc3N1ZWQiOiJNb24sIDEzIERlYyAyMDIxIDA1OjE0OjUyIEdNVCIsIi5leHBpcmVzIjoiTW9uLCAxMyBEZWMgMjAyMSAwNTozNDo1MiBHTVQifX19<---->HItqqW2V3km1vRqeob13Jw7agZG0UFsfiMtB5S8rr6bxaxoxz9VwywdfX9QszGlxSxx-30m1KTLeD3zaZxdiauWwAW6nFewOQrkbBOEiXEyy9gK5VlNf4MPXdw1y0XFDOdm8rZ9NVEbUOB4axFsBzK_pezYcyGuJGsiDooVIgx8AYu54cpkQgc82JXuaAj1cUjfDy6vjqeA8D3--9-0OsPIqnIzp494I0VbhTBq5rpMUrg5GqVhu_zEODbSYLgLeGXz7WIAG8nN-Zz5FKChnyVN_taX41KKsO3OJC_fHOU76YXSNC1VfHAfjFQKarUs6W8InVKeFyP3zU-HjIW0Yww
Content-Length: 386
Host: am-ce98c.corrigo.com
Connection: Keep-Alive
User-Agent: Apache-HttpClient/4.5.2 (Java/16.0.1)

{
  "QueryExpression":
  {
	  "Criteria": {
	    "Conditions": [
	      {
	        "PropertyName": "ContactAddresses.Address",
	        "Operator": "Equal",
	        "Values": ["test2@qa.corrigo.com"]
	      }
	    ],
	    "FilterOperator": "And"
	  },
	  "Distinct": true,
	  "PropertySet": { "Properties" : ["*", "ContactAddresses.*"]},
	  "Count": 1,
	  "FirstResultIndex": 0
  }
}
```